{% extends 'base_1.html' %}

{% load widget_tweaks %}
{% load crispy_forms_tags %}

{% block content %}
<main id="main">
	<!-- ======= Breadcrumbs ======= -->
	<section id="breadcrumbs" class="breadcrumbs">
		<div class="breadcrumb-hero">
			<div class="container">
				<div class="breadcrumb-hero">
					<h2>Blog Edit</h2>
				</div>
			</div>
		</div>
	</section>
	<!-- End Breadcrumbs -->

	<div class="container">
		<div class="row justify-content-center">
			{% if success_message %}
			<h3 style="color:green; text-align: center;">{{success_message}}</h3>
			{% endif %}

			<form class="create-form" method="post" enctype="multipart/form-data">
				{% csrf_token %}

				{{ form.media }}
				{{ form|crispy }}

				{% comment %}
				<!-- title -->
				<div class="form-group">
					<label for="id_title">Title</label>
					<input class="form-control" type="text" name="title" id="id_title" placeholder="Title"
						value="{{form.initial.title}}" required autofocus>
				</div>

				<!-- Body -->
				<div class="form-group">
					<label for="id_body">Content</label>
					<textarea class="form-control" rows="10" type="text" name="body" id="id_body"
						placeholder="This blog is about..." required>{{form.initial.body}}</textarea>
				</div>

				<!-- Image -->
				<div class="form-group image-group" id="id_image_group">
					<img class="img-fluid image" src="{{form.initial.image.url}}" id="id_image_display">
					<div class="middle">
						<div class="text">Change image</div>
					</div>
				</div>

				<input type="file" name="image" id="id_image_file" accept="image/*" onchange="readURL(this)">


				{% for field in form %}
				<p>
					{% for error in field.errors %}
					<p style="color: red">{{ error }}</p>
					{% endfor %}
				</p>
				{% endfor %}
				{% if form.non_field_errors %}
				<div style="color: red">
					<p>{{form.non_field_errors}}</p>
				</div>
				{% endif %}
				{% endcomment %}

				<!-- Submit btn -->
				<div class="row justify-content-center">

					<button class="submit-button btn btn-lg btn-primary btn-block" type="submit">Update</button>
				</div>
			</form>
		</div>
	</div>
</main>
{% endblock content %}

{% block custom_css %}
<style type="text/css">
	.create-form {
		width: 100%;
		max-width: 100%;
		padding: 15px;
		margin: auto;
	}

	.submit-button {
		max-width: 200px;
	}

	.image {
		opacity: 1;
		transition: .5s ease;
		backface-visibility: hidden;
	}

	.middle {
		transition: .5s ease;
		opacity: 0;
		position: absolute;
		text-align: center;
		top: 50%;
		left: 50%;
		transform: translate(-50%, -50%);

	}

	.image-group {
		position: relative;
		text-align: center;
		cursor: pointer;
	}

	.image-group:hover .image {
		opacity: 0.3;
	}

	.image-group:hover .middle {
		opacity: 1;
	}

	.text {
		margin: auto;
		background-color: #4CAF50;
		color: white;
		font-size: 15px;
		padding: 15px;
	}
</style>
<link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" rel="stylesheet">
<link rel="stylesheet" href="https://cdn.jsdelivr.net/bootstrap.tagsinput/0.4.2/bootstrap-tagsinput.css" />
<link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" rel="stylesheet">
{% endblock %}

{% block custom_js %}
<script type="text/javascript">
	document.getElementById('id_image_group').onclick = function (event) {
		document.getElementById('id_image_file').click();
	};

	function readURL(input) {
		var reader = new FileReader();
		reader.onload = function (e) {
			$('#id_image_display')
				.attr('src', e.target.result)
		};
		reader.readAsDataURL(input.files[0]);
	}

	$(function (event) {
		var item1 = $("#id_tags").val()
		var item2 = $("#id_tags").tagsinput('items')
		console.log(item2)
	});
</script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<script src="https://cdn.jsdelivr.net/bootstrap.tagsinput/0.4.2/bootstrap-tagsinput.min.js"></script>

{% endblock %}